[Feature] Lynx Point Audio support

Bug #1011438 reported by Yingying Zhao on 2012-06-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
intel
Medium
David Henningsson
linux (Ubuntu)
Undecided
Tim Gardner
Raring
Undecided
Tim Gardner

Bug Description

This feature is to track the audio support on Shark Bay client platforms.

The audio support includes:
-Legacy High Definition Audio
-HDMI Audio
-DisplayPort Audio

X-HWE-Bug: Bug #1057698

Yingying Zhao (yingying-zhao) wrote :

The DeviceID patch for LynxPoint HDA was already included in kernel 3.5. Beyond that, more patches to enable HDMI and DP audio are WIP.

These three patches have been accepted in alsa upstream now:
1. http://git.alsa-project.org/?p=alsa-kmirror.git;a=commitdiff;h=cb192625233496ac3d96cce667ebf4e322dab678
this patch add proper id for Haswell HDA Controller.

2. http://git.alsa-project.org/?p=alsa-kmirror.git;a=commitdiff;h=e269cee227a2b2297b79bfc71094c709b9387061
0x80862807 is HDMI id for Haswell HDA.

3. http://git.alsa-project.org/?p=alsa-kmirror.git;a=commitdiff;h=79fc901301d6115b11457e8240ed6abc4b3f5c65
This works for HDMI audio, otherwise there's blocking issue.

Chris Van Hoof (vanhoof) on 2012-07-20
Changed in intel:
assignee: nobody → David Henningsson (diwic)
importance: Undecided → Medium
status: New → Confirmed
Yingying Zhao (yingying-zhao) wrote :

We detected an PCI ID change of Haswell HDMI audio device on Shark Bay Mobile system after upgrading to Beta stepping.

New PCI ID patches is now available in Sound sub-system tree:
/pub/scm/linux/kernel/git/tiwai/sound.git

d279fae8a41690ec1b20c07be8c6f42f8af27a17
ALSA: hda - Add another pci id for Haswell board

David Henningsson (diwic) wrote :

Upstream (Linus tree) SHAs for the first three are:

e926f2c850c472f813f9bab486c68a3fe0b03ae4
1c76684d2752b3a24bb7da183cc18e5d126dbcc9
bdbe34dece4942f4d8df9865dba7785bb813366a

How about this one?

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=144dad99ef6ad10c8c8ebe787d08157c4a94201f - ALSA: hda_intel: Add Device IDs for Intel Lynx Point-LP PCH

Yingying Zhao (yingying-zhao) wrote :

@David, this patch(144dad99ef6) in your question was already included in Quantal which is tracked within this request - https://bugs.launchpad.net/intel/+bug/900119

David Henningsson (diwic) wrote :

Leann has set up a tracking bug for all the five patches in bug 1057698.

description: updated
XiongZhang (xiong-y-zhang) wrote :

Adding this commit to Quantal kernel, HDMI and DP audio could work on Sharkbay beta machine.

6ffe168f822cf7f777987cddc00ade542fd73bf0
ALSA: hda - bug fix for invalid connection list of Haswell HDMI codec pins

David Henningsson (diwic) wrote :

Thanks xiongzhang, I've filed bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1095242 to see if we can get it into 3.5.

XiongZhang (xiong-y-zhang) wrote :

please backport following four pathes to raring, so that HDMI and DP audio can work on HSW-ult which use Lynx Point core also, I have verified it on HSW-ult sdv.

1. commit 7b9f35a6dd72f89452c58bbdbaf063027bf857ec
   Author: Wang Xingchao <email address hidden>
   Date: Tue Jan 22 23:25:25 2013 +0800

    drm/i915: HDMI/DP - ELD info refresh support for Haswell

2. commit 4a7c516bf0cd697dbbee11db6258e3b3146e41a6
   Author: Wang Xingchao <email address hidden>
   Date: Fri Feb 1 22:42:19 2013 +0800

    ALSA - HDA: New PCI ID for Haswell ULT

3.commit a15d05db41b1d5c9f2c3af11dfbfd46818cc64ba
   Author: Mengdong Lin <email address hidden>
   Date: Fri Feb 8 17:09:31 2013 -0500

   ALSA: hda - Support rereading widgets under the function group

4. commit 1611a9c931e95fab871a33beba49cc9ea39bbba8
   Author: Mengdong Lin <email address hidden>
   Date: Fri Feb 8 17:09:52 2013 -0500

    ALSA: hda - Add fixup for Haswell to enable all pin and convertor widgets

thanks

David Henningsson (diwic) wrote :

Asked Intel a question about the fourth patch, waiting for reply.

Changed in intel:
status: Confirmed → Incomplete
Tim Gardner (timg-tpi) on 2013-04-10
affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
information type: Private → Public
David Henningsson (diwic) wrote :

Answer from Intel:

"Hi David and Xiong,

This patch is a BIOS/board specific fix-up for some Haswell machines, which have both HDMI and Display Port output but BIOS only enables first pair of audio codec pin & cvt by mistake.

If OEM vendor overrides the PCI SSID, this patch will not work.
If OEM or future Intel BIOS enables the pin & cvts properly according to board design, this patch is not needed.

Thanks
Mengdong"

James M. Leddy (jm-leddy) wrote :

I think Haswell ULT patch request from comment #8 should be a different bug, or we should make it clear that this bug is now about Haswell ULT specifically (It looks like it was opened for just Haswell audio support which we already have).

XiongZhang (xiong-y-zhang) wrote :

Hi, James:
I think that this bug is for Lynx Point Audio which is a PCH, Lynx Point is used both on Haswell platform and Haswell-ULT platform. So I add the patch request in here. Maybe we can add another bug for HDMI and DP support on Haswell-ULT. The new bug depend on this bug. What's your opinion ?

Launchpad Janitor (janitor) wrote :
Download full text (4.5 KiB)

This bug was fixed in the package linux - 3.8.0-18.28

---------------
linux (3.8.0-18.28) raring; urgency=low

  [ Andy Whitcroft ]

  * (debian) fix internal linkage for separated header packages
    - LP: #1165259

  [ Gavin Guo ]

  * SAUCE: Bluetooth: Add support for Broadcom 413c:8143
    - LP: #1166113

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: Fix quieting of audit messages for network
    mediation
    - LP: #1163259

  [ Kamal Mostafa ]

  * SAUCE: (no-up) drm/i915: quirk no PCH_PWM_ENABLE for Dell XPS13
    backlight
    - LP: #1162026, #1163720

  [ Leann Ogasawara ]

  * [Config] Disable CONFIG_PARPORT_PC_FIFO
    - LP: #339752

  [ Martin Pitt ]

  * SAUCE: (no-up) mac80211_hwsim: Register and bind to driver
    - LP: #1166250

  [ Paolo Pisati ]

  * [Config] RTC_DRV_PL031=y

  [ Stefan Bader ]

  * (debian) Abort build on unresolved symbols
    - LP: #1166197

  [ Tim Gardner ]

  * [Config] Add libceph to inclusion list
  * [Config] Drop all inclusion list modules with unsatisfied dependencies
  * SAUCE: (no-up) Remove emi62 files duplicated in linux-firmware
  * SAUCE: (no-up) Remove emi26 files duplicated in linux-firmware
  * SAUCE: (no-up) Remove whiteheat files duplicated in linux-firmware
  * Release Tracking Bug
    - LP: #1168040

  [ Upstream Kernel Changes ]

  * TTY: do not update atime/mtime on read/write
    - LP: #1097680
    - CVE-2013-0160
  * KVM: x86: Convert MSR_KVM_SYSTEM_TIME to use gfn_to_hva_cache functions
    (CVE-2013-1797)
    - LP: #1158258
    - CVE-2013-1797
  * KVM: Fix bounds checking in ioapic indirect register reads
    (CVE-2013-1798)
    - LP: #1158262
    - CVE-2013-1798
  * drm/i915: HDMI/DP - ELD info refresh support for Haswell
    - LP: #1011438
  * ALSA - HDA: New PCI ID for Haswell ULT
    - LP: #1011438
  * ALSA: hda - Support rereading widgets under the function group
    - LP: #1011438
  * ALSA: hda - Add fixup for Haswell to enable all pin and convertor
    widgets
    - LP: #1011438
  * libata: fix DMA to stack in reading devslp_timing parameters
    - LP: #1031173
  * dmaengine: dw_dmac: remove CLK dependency
    - LP: #1031163
  * dmaengine: dw_dmac: Enhance device tree support
    - LP: #1031163
  * dmaengine: dw_dmac: amend description and indentation
    - LP: #1031163
  * dw_dmac: change dev_printk() to corresponding macros
    - LP: #1031163
  * dw_dmac: don't call platform_get_drvdata twice
    - LP: #1031163
  * dw_dmac: change dev_crit to dev_WARN in dwc_handle_error
    - LP: #1031163
  * dw_dmac: introduce to_dw_desc() macro
    - LP: #1031163
  * dw_dmac: absence of pdata isn't critical when autocfg is set
    - LP: #1031163
  * dw_dmac: check for mapping errors
    - LP: #1031163
  * dw_dmac: remove redundant check
    - LP: #1031163
  * dw_dmac: update tx_node_active in dwc_do_single_block
    - LP: #1031163
  * dma: dw_dmac: add dwc_chan_pause and dwc_chan_resume
    - LP: #1031163
  * dmaengine: introduce is_slave_direction function
    - LP: #1031163
  * dmaengine: add possibility for cyclic transfers
    - LP: #1031163
  * dma: dw_dmac: check direction properly in dw_dma_cyclic_prep
    - LP: #1031163
  * dma: ep93xx_dma: reuse is_slave_direction helpe...

Read more...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Changed in intel:
status: Incomplete → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers